.oss-home-design-box {
    background: rgba(255, 255, 255, 0.07);
    -webkit-backdrop-filter: blur(16px);
    backdrop-filter: blur(16px);
}

.oss-blogs .elementor-grid {
    grid-column-gap: 30px;
}

@media (max-width: 980px) {
    .oss-blogs .elementor-posts {
        display: -webkit-box !important;
        display: -ms-flexbox !important;
        display: flex !important;
        -ms-flex-wrap: nowrap !important;
        flex-wrap: nowrap !important;
        overflow-x: auto !important;
        -ms-scroll-snap-type: x mandatory !important;
        scroll-snap-type: x mandatory !important;
        -webkit-overflow-scrolling: touch !important;
        padding-bottom: 15px !important;
        gap: 15px !important;
    }

    .oss-blogs .elementor-posts .elementor-post {
        -webkit-box-flex: 0 !important;
        -ms-flex: 0 0 60% !important;
        flex: 0 0 60% !important; /* Width of each product card on mobile */
        max-width: 60% !important;
        scroll-snap-align: start !important;
        margin-right: 0 !important;
        margin-bottom: 0 !important;
    }
}

@media (max-width: 480px) {
    .oss-blogs .elementor-posts .elementor-post {
        -webkit-box-flex: 0 !important;
        -ms-flex: 0 0 80% !important;
        flex: 0 0 80% !important;
        max-width: 80% !important;
    }
}
